#!/bin/sh
# FILE: platform.tcl
#
# Run this script to learn what platform name the OOMMF software uses to
# refer to the type of computer on which this script is run.
# \
exec tclsh "$0" ${1+"$@"}

if {$tcl_version < 7.5} {
    error "OOMMF software requires at least Tcl 7.5\nYou have Tcl $tcl_version"
}
lappend auto_path [file join [file dirname [info script]] ext]
package require Oc 1.0.1.2
if {[catch {
    Oc_Log Log "OOMMF release [package provide Oc]\n[[Oc_Config \
	    RunPlatform] Summary]" info
} msg]} {
    Oc_Log Log $msg panic
}

